package cn.yw.machinemanage.bean;

import cn.base.bean.BaseBean;
//[运维服务器cpu信息表]

public class YwmachinecpuBean extends BaseBean implements java.io.Serializable {
	private String cpuid;//[cpuid]
	private String machineid;//[机器ID]
	private String cpunum;//[cpu编号]
	private String cpubrand;//[cpu品牌]
	private String cpumodel;//[cpu型号]
	private String cpucoresnum;//[内核数量]
	private String alarmunderlevel;//[报警下水位]
	private String alarmupperlevel;//[报警上水位]
	private String currentusage;//[当前使用率]
	private String currentusageuptime;//[状态上报时间]
	private int detectionswitch;//[检测开关]
	private String detectionstarttime;//[检测开始时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setCpuid(String cpuid){
		this.cpuid = cpuid;
	}
	public String getCpuid(){
		return cpuid;
	}
	public void setMachineid(String machineid){
		this.machineid = machineid;
	}
	public String getMachineid(){
		return machineid;
	}
	public void setCpunum(String cpunum){
		this.cpunum = cpunum;
	}
	public String getCpunum(){
		return cpunum;
	}
	public void setCpubrand(String cpubrand){
		this.cpubrand = cpubrand;
	}
	public String getCpubrand(){
		return cpubrand;
	}
	public void setCpumodel(String cpumodel){
		this.cpumodel = cpumodel;
	}
	public String getCpumodel(){
		return cpumodel;
	}
	public void setCpucoresnum(String cpucoresnum){
		this.cpucoresnum = cpucoresnum;
	}
	public String getCpucoresnum(){
		return cpucoresnum;
	}
	public void setAlarmunderlevel(String alarmunderlevel){
		this.alarmunderlevel = alarmunderlevel;
	}
	public String getAlarmunderlevel(){
		return alarmunderlevel;
	}
	public void setAlarmupperlevel(String alarmupperlevel){
		this.alarmupperlevel = alarmupperlevel;
	}
	public String getAlarmupperlevel(){
		return alarmupperlevel;
	}
	public void setCurrentusage(String currentusage){
		this.currentusage = currentusage;
	}
	public String getCurrentusage(){
		return currentusage;
	}
	public void setCurrentusageuptime(String currentusageuptime){
		this.currentusageuptime = currentusageuptime;
	}
	public String getCurrentusageuptime(){
		return currentusageuptime;
	}
	public void setDetectionswitch(int detectionswitch){
		this.detectionswitch = detectionswitch;
	}
	public int getDetectionswitch(){
		return detectionswitch;
	}
	public void setDetectionstarttime(String detectionstarttime){
		this.detectionstarttime = detectionstarttime;
	}
	public String getDetectionstarttime(){
		return detectionstarttime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}